Package Details: treeline-unstable 2.0.2-1

Git Clone URL: https://aur.archlinux.org/treeline-unstable.git (read-only)
Package Base: treeline-unstable
Description: Tree outliner and PIM which stores any kind of information within a tree structure; unstable development snapshot
Upstream URL: http://treeline.bellz.org
Keywords: database outliner pim tree
Licenses: GPL2
Conflicts: treeline
Replaces: treeline
Submitter: ninian
Maintainer: ninian
Last Packager: ninian
Votes: 5
Popularity: 0.001925
First Submitted: 2013-02-17 23:27
Last Updated: 2015-10-04 12:28

Latest Comments

ninian commented on 2015-10-04 12:38

v2.0.2: Fixes a major regression bug in 2.0.1 that broke data editors for most specialized field types (number, math, boolean, choice, etc.)

ninian commented on 2015-10-01 20:15

There is again a problem in the editor with being unable to access pull-down selections in multiple choice fields. (Had been fixed in version 1.9.7.) This bug has been reported.

ninian commented on 2015-09-27 11:39

Update to version 2.0.1: Again, has been billed as a new STABLE release, but the name of the package will be retained as further unstable releases will follow.

ninian commented on 2015-05-18 13:42

Update to version 2.0.0: new logo file treelogo.png, and configuration directory now ~/.treeline-2.0. Manually merge with old configuration in ~/.treeline-1.9 as required.
Please note this has been billed as a new STABLE release, but I am not changing the name of the package as further unstable releases will follow in due course.

ninian commented on 2015-05-18 13:39

Update to version 2.0.0: new logo file treelogo.png, and configuration directory now ~/.treeline-2.0. Manually merge with old configuration in ~/.treeline-1.9 as required.

ninian commented on 2015-03-29 09:38

Updating to version 1.9.7 is recommended because of the following significant bug fixes:
- Fixed a focus problem that made Combination and AutoCombination field editor pull-downs unusable.
- Fixed a focus problem that made the pull-downs in choice and boolean field editors unusable on Linux.

noplomplom commented on 2015-01-16 11:44

@ninian: what I mean by "build the package in /tmp/makepkg" is not that I unpack the tarball in /tmp and build the package there, I mean that "makepkg" builds in RAM (which can be configured in /etc/makepkg.conf).

ninian commented on 2015-01-16 10:59

The errors you are getting about recent files and history are probably worth reporting to Doug Bell at http://www.bellz.org/contact.html. I don't know much about Python myself, but maybe a rake in the code by someone knowledgeable might shed more light.

ninian commented on 2015-01-16 10:49

Weird! Don't see why making the package in a home subdirectory should be different from /tmp. Here's what I've now done and it works just as expected:
1) downloaded the tarball to /tmp
2) $ cd /tmp; tar -xf treeline-unstable.tar.gz
3) $ cd treeline-unstable
4) $ makepkg
5) $ sudo pacman -U treeline-unstable-1.9.5-1-any.pkg.tar.xz
6) $ treeline

noplomplom commented on 2015-01-16 10:39

Problem solved! I manually created the '.treeline-1.9' folder in $HOME. It solves the issue.

All comments